/*
 * Copyright 2013 Red Hat Inc. and/or its affiliates and other contributors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,  
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.switchyard.quickstarts.transform.xslt;

import javax.inject.Inject;

import org.switchyard.component.bean.Reference;
import org.switchyard.component.bean.Service;

@Service(OrderService.class)
public class OrderServiceBean implements OrderService {
    
	@Reference @Inject
	AcknowledgerValidator acknowledgerValidator;
	
    @Override
    public String submitOrder(String order) {
    	System.out.println("Order: "+order);
    	// When this service is called, the order should still be
    	// of type: {urn:switchyard-quickstart:transform-xslt:1.0}order
    	// I want SwitchYard to handle the transformation between the services, but
    	// it does'nt call the XSLT transformer, until it returns in the next line :-(
    	return acknowledgerValidator.validateAcknowledge(order);
    }

}
